# DataExchange
TKSTEPBase
StepShape

# StepShape_CsgPrimitive Class Reference

`#include <StepShape_CsgPrimitive.hxx>`

Inheritance diagram for StepShape_CsgPrimitive:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_CsgPrimitive ()
| Returns a CsgPrimitive SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a CsgPrimitive Kind Entity that is : 1 -> Sphere 2 -> Block 3 -> RightAngularWedge 4 -> Torus 5 -> RightCircularCone 6 -> RightCircularCylinder 0 else .
Standard_EXPORT Handle_StepShape_Sphere | Sphere () const
| returns Value as a Sphere (Null if another type)
Standard_EXPORT Handle_StepShape_Block | Block () const
| returns Value as a Block (Null if another type)
Standard_EXPORT Handle_StepShape_RightAngularWedge | RightAngularWedge () const
| returns Value as a RightAngularWedge (Null if another type)
Standard_EXPORT Handle_StepShape_Torus | Torus () const
| returns Value as a Torus (Null if another type)
Standard_EXPORT Handle_StepShape_RightCircularCone | RightCircularCone () const
| returns Value as a RightCircularCone (Null if another type)
Standard_EXPORT Handle_StepShape_RightCircularCylinder | RightCircularCylinder () const
| returns Value as a RightCircularCylinder (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_CsgPrimitive::StepShape_CsgPrimitive | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_Block StepShape_CsgPrimitive::Block | ( |  | ) | const

Standard_EXPORT Standard_Integer StepShape_CsgPrimitive::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepShape_CsgPrimitive::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_CsgPrimitive::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_CsgPrimitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_RightAngularWedge StepShape_CsgPrimitive::RightAngularWedge | ( |  | ) | const

Standard_EXPORT Handle_StepShape_RightCircularCone StepShape_CsgPrimitive::RightCircularCone | ( |  | ) | const

Standard_EXPORT Handle_StepShape_RightCircularCylinder StepShape_CsgPrimitive::RightCircularCylinder | ( |  | ) | const

Standard_EXPORT Handle_StepShape_Sphere StepShape_CsgPrimitive::Sphere | ( |  | ) | const

Standard_EXPORT Handle_StepShape_Torus StepShape_CsgPrimitive::Torus | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_CsgPrimitive.hxx